[PyQt] Problems using PyQt 4.7 and py2exe

Albert Cervera i Areny albert at nan-tic.com
Thu Feb 4 12:13:37 GMT 2010

If I create the installer for my application using py2exe and PyQt 4.7, the 
application starts but fails with the following exception with QtWebKit:

ImportError: DLL load failed: Can not find find the specified module.

The installer works like a charm with PyQt 4.7rc2, though.

The list of "system" dlls detected by py2exe is different in both versions,  
and considers QtNetwork and QtSvg as system dlls with PyQt 4.7, while it does 
*not* using rc2.

Any ideas?

Albert Cervera i Areny
Mòbil: +34 669 40 40 18

More information about the PyQt mailing list